# Intel® Enhanced Privacy ID SDK: epid/common/errors.h File Reference

errors.h File Reference

Error reporting. More...

## Enumerations

enum | EpidStatus { kEpidNoErr = 0, kEpidSigValid = 0, kEpidSigInvalid = 1, kEpidSigRevokedinGroupRl = 2, kEpidSigRevokedinPrivRl = 3, kEpidSigRevokedinSigRl = 4, kEpidSigRevokedinVerifierRl = 5, kEpidErr = -999, kEpidNotImpl, kEpidBadArgErr, kEpidNoMemErr, kEpidMemAllocErr, kEpidMathErr, kEpidDivByZeroErr, kEpidUnderflowErr, kEpidHashAlgorithmNotSupported, kEpidRandMaxIterErr, kEpidDuplicateErr }
| Return status for SDK functions. More...

## Functions

char const * | EpidStatusToString (EpidStatus e)
| Returns string representation of error code. More...

## Detailed Description

Error reporting.